Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Query Parameters
int32int32Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/identities/string/messages"{ "messages": [ { "id": "string", "received_at": "2019-08-24T14:15:22Z", "from": [ { "name": null, "email": "string" } ], "to": [ { "name": null, "email": "string" } ], "subject": null, "preview": null, "size": 0, "has_attachment": true, "unread": true, "delivered_to": null, "tag": null, "origin": { "dmarc": null, "spf": null, "basis": "string", "passed": true } } ], "total": 0, "offset": 0, "limit": 0}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.tigby.eu/api/identities/string/messages/string"{ "id": "string", "received_at": "2019-08-24T14:15:22Z", "sent_at": null, "message_id": [ "string" ], "in_reply_to": [ "string" ], "references": [ "string" ], "from": [ { "name": null, "email": "string" } ], "reply_to": [ { "name": null, "email": "string" } ], "to": [ { "name": null, "email": "string" } ], "cc": [ { "name": null, "email": "string" } ], "subject": null, "text_body": null, "html_body": null, "attachments": [ { "part_id": "string", "name": null, "type": "string", "size": 0, "disposition": null, "cid": null } ], "size": 0, "unread": true, "delivered_to": null, "tag": null, "origin": { "dmarc": null, "spf": null, "basis": "string", "passed": true }, "authentication_results": null}Authorization
api_key An Admin Key (tigby_admin_…) for Org-level calls, an Identity Key (tigby_id_…) for one Identity's own resources, or a console session (tigby_sess_…). Sent as Authorization: Bearer .
In: header
Path Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.tigby.eu/api/identities/string/mailbox/password"{ "mailbox": { "imap_host": "string", "imap_port": 0, "imap_security": "string", "username": "string", "password": "string" }}